/******************************************************************************/
/*
                                  template.h
*/
/******************************************************************************/

#ifndef INCLUDE_TEMPLATE_H
#define INCLUDE_TEMPLATE_H

#include "vwcms.h"

/**************/
/* prototypes */
/**************/

void TemplateAdvise (char*, ...);
void TemplateAgo (char*);
void TemplateBack (char*);
void TemplateBlog (char*);
void TemplateCgi (char*);
void TemplateContent (CONTENT_DATA*);
void TemplateDraft (char*);
void TemplateInlineError (char*, char*);
void TemplateFeedback (char*);
void TemplateFeedbackSubmit ();
void TemplateHit (char*);
void TemplateHtml (char*);
void TemplateInclude (BOOL, char*);
void TemplateInsertContent (char*);
void TemplateLastModified (char*);
void TemplateLoad ();
void TemplateLoginLogout (char*);
void TemplateMacro (char*);
void TemplateManage (char*);
void TemplateNext (char*);
void TemplateParamError (char*, char*, char*);
char* TemplateParseDirect (DYSTRING*, char*);
char* TemplateParseFind (char*, char*);
char* TemplateParseFindParam (char*, char*);
char* TemplateParseParam (char*, char*, int);
char* TemplateParseRowCol (char*, int*, int*);
char* TemplateParseSetTrue (char*, int*);
char* TemplateParseSkipParam (char*, char*);
void TemplatePragma (char*);
void TemplatePrev (char*);
void TemplatePrint (char*);
void TemplateRange (int);
void TemplateReportError (char*, char*, char*);
void TemplateRotate (char*);
void TemplateRSS (char*);
void TemplateSubsError (char*, char*, char*);
void TemplateSectionName ();
void TemplateSearch (char*);
void TemplateShow (char*);
void TemplateStats (char*);
void TemplateSynopsis (char*);
void TemplateTable (char*);
void TemplateTableData (char*);
void TemplateTableHead (char*);
BOOL TemplateTestIf (char*);
void TemplateTime (char*, unsigned long);
void TemplateTitle (char*);
void TemplateTop (char*);
void TemplateUser (char*);

/* used for local customisation */
BOOL ShowLocal (char*);

#endif /* INCLUDE_TEMPLATE_H */

/******************************************************************************/

